package net.sf.jasperreports.engine;

public interface JRCommonText extends JRCommonElement, JRBoxContainer {
  public static final String MARKUP_NONE = "none";
  
  public static final String MARKUP_STYLED_TEXT = "styled";
  
  public static final String MARKUP_HTML = "html";
  
  public static final String MARKUP_RTF = "rtf";
  
  int getWidth();
  
  int getHeight();
  
  byte getRotation();
  
  Byte getOwnRotation();
  
  byte getLineSpacing();
  
  Byte getOwnLineSpacing();
  
  boolean isStyledText();
  
  Boolean isOwnStyledText();
  
  String getMarkup();
  
  String getOwnMarkup();
  
  int getFontSize();
}
